package cn.ibizlab.core.lite.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.lite.domain.MetaModel;
/**
 * 关系型数据实体[MetaModel] 查询条件对象
 */
@Slf4j
@Data
public class MetaModelSearchContext extends QueryWrapperContext<MetaModel> {

	private String n_modelname_like;//[名称]
	public void setN_modelname_like(String n_modelname_like) {
        this.n_modelname_like = n_modelname_like;
        if(!ObjectUtils.isEmpty(this.n_modelname_like)){
            this.getSearchCond().like("modelname", n_modelname_like);
        }
    }
	private String n_codename_eq;//[代码名称]
	public void setN_codename_eq(String n_codename_eq) {
        this.n_codename_eq = n_codename_eq;
        if(!ObjectUtils.isEmpty(this.n_codename_eq)){
            this.getSearchCond().eq("codename", n_codename_eq);
        }
    }
	private String n_codename_in;//[代码名称]
	public void setN_codename_in(String n_codename_in) {
        this.n_codename_in = n_codename_in;
        if(!ObjectUtils.isEmpty(this.n_codename_in)){
			this.getSearchCond().in("codename",this.n_codename_in.split(";"));
        }
    }
	private String n_codename_like;//[代码名称]
	public void setN_codename_like(String n_codename_like) {
        this.n_codename_like = n_codename_like;
        if(!ObjectUtils.isEmpty(this.n_codename_like)){
            this.getSearchCond().like("codename", n_codename_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSearchCond().eq("systemid", n_systemid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("modelname", query)
            );
		 }
	}
}



